# Uses of Interface
org.apache.lucene.search.uhighlight.LabelledCharArrayMatcher

Packages that use LabelledCharArrayMatcher
Package
Description
org.apache.lucene.search.uhighlight
The UnifiedHighlighter -- a flexible highlighter that can get offsets from postings, term vectors, or analysis.

- ## Uses of LabelledCharArrayMatcher in org.apache.lucene.search.uhighlight

  Fields in org.apache.lucene.search.uhighlight declared as LabelledCharArrayMatcher
  Modifier and Type
  Field
  Description
  `protected static final LabelledCharArrayMatcher[]`
  UnifiedHighlighter.`ZERO_LEN_AUTOMATA_ARRAY`
  Methods in org.apache.lucene.search.uhighlight that return LabelledCharArrayMatcher
  Modifier and Type
  Method
  Description
  `LabelledCharArrayMatcher[]`
  UHComponents.`automata()`
  Returns the value of the `automata` record component.
  `protected LabelledCharArrayMatcher[]`
  UnifiedHighlighter.`getAutomata(String field, Query query, Set<UnifiedHighlighter.HighlightFlag> highlightFlags)`
  `static LabelledCharArrayMatcher`
  LabelledCharArrayMatcher.`wrap(String label, CharArrayMatcher in)`
  Associates a label with a CharArrayMatcher
  `static LabelledCharArrayMatcher`
  LabelledCharArrayMatcher.`wrap(String label, ByteRunAutomaton runAutomaton)`
  Returns a representation of the automaton that matches char[] instead of byte[]
  Constructors in org.apache.lucene.search.uhighlight with parameters of type LabelledCharArrayMatcher
  Modifier
  Constructor
  Description
  ``
  `UHComponents(String field, Predicate<String> fieldMatcher, Query query, BytesRef[] terms, PhraseHelper phraseHelper, LabelledCharArrayMatcher[] automata, boolean hasUnrecognizedQueryPart, Set<UnifiedHighlighter.HighlightFlag> highlightFlags)`
  Creates an instance of a `UHComponents` record class.